javax.jms

## Class TransactionRolledBackException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - javax.jms.JMSException
      - - javax.jms.TransactionRolledBackException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    TransactionRolledBackException

      public class TransactionRolledBackException
      extends JMSException

  This exception must be thrown when a call to `Session.commit` results in a rollback of the current transaction.

  Since:
    JMS 1.0
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TransactionRolledBackException(String reason)` Constructs a `TransactionRolledBackException` with the specified reason.
    `TransactionRolledBackException(String reason, String errorCode)` Constructs a `TransactionRolledBackException` with the specified reason and error code.

  - ### Method Summary

    - ### Methods inherited from class javax.jms.JMSException

      `getErrorCode, getLinkedException, setLinkedException`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### TransactionRolledBackException

          public TransactionRolledBackException(String reason,
                                        String errorCode)

      Constructs a `TransactionRolledBackException` with the specified reason and error code.
      Parameters:
        `reason` - a description of the exception
        `errorCode` - a string specifying the vendor-specific error code

    - #### TransactionRolledBackException

          public TransactionRolledBackException(String reason)

      Constructs a `TransactionRolledBackException` with the specified reason. The error code defaults to null.
      Parameters:
        `reason` - a description of the exception

Copyright (c) 2014, Oracle and/or its affiliates. All rights reserved.